---
title: PaymentDetailsUpdate.error
slug: Web/API/PaymentDetailsUpdate/error
tags:
  - API
  - Error
  - Payment Request
  - Payment Request API
  - PaymentDetailsUpdate
  - Property
  - Reference
  - payment
---
<p>{{securecontext_header}}{{APIRef("Payment Request API")}}</p>

<p><span class="seoSummary">The {{domxref("PaymentDetailsUpdate")}} dictionary's <code><strong>error</strong></code> property is a human-readable {{domxref("DOMString")}} which provides an error message to be displayed if the specified information doesn't offer any valid shipping options.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>errorString</em> = <em>paymentDetailsUpdate</em>.error;

<em>paymentDetailsUpdate</em>.error = <em>errorString</em>;
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} specifying the string to display to the user if the information specified in the <code>PaymentDetailsUpdate</code> doesn't provide any valid shipping options. This happens if both of the following are true:</p>

<ul>
 <li>The {{domxref("PaymentRequest")}} specifies using its {{domxref("PaymentRequest.requestShipping", "requestShipping")}} property that shipping information is required.</li>
 <li>The {{domxref("PaymentDetailsUpdate")}} object specifies no valid shipping options in its {{domxref("PaymentDetailsUpdate.shippingOptions", "shippingOptions")}} list.</li>
</ul>

<p>This message can be used to explain to the user why they cannot submit their payment as currently specified—whether that's because the selected products cannot be shipped to their region or because their address is not served by any of the shipping companies you use.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Payment','#dom-paymentdetailsupdate-error','PaymentDetailsUpdate.error')}}</td>
   <td>{{Spec2('Payment')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.PaymentDetailsUpdate.error")}}</p>
</div>

